package com.sheep.gamegroup.model.entity;

import java.io.Serializable;

/**
 * 已接受任务
 * Created by ljy on 2018/3/20.
 */

public class TaskAcceptedEty implements Serializable{
    private String create_time;// 0,
    private String device_id;// "string",
    private int id;// 0,
    private int release_task_id;// 0,
    private String remarks;// "string",
    private String screenshots;// "string",
    private int status =1;// 0,--------1,已接受任务 2,正在进行中,3完成任务,4放弃任务,5任务失败,6审核失败,7提交审核,8任务已下线,9至少完成了一个任务了
    private String uid;// 0,
    private String update_time;// 0

    private long end_time;

    private TaskReleaseEty release_task;
    private int child_task_id;//0 1开始子任务  2完成第二个子任务

    public int getChild_task_id() {
        return child_task_id;
    }

    public void setChild_task_id(int child_task_id) {
        this.child_task_id = child_task_id;
    }

    public long getEnd_time() {
        return end_time;
    }

    public void setEnd_time(long end_time) {
        this.end_time = end_time;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public String getDevice_id() {
        return device_id;
    }

    public void setDevice_id(String device_id) {
        this.device_id = device_id;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getRelease_task_id() {
        return release_task_id;
    }

    public void setRelease_task_id(int release_task_id) {
        this.release_task_id = release_task_id;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getScreenshots() {
        return screenshots;
    }

    public void setScreenshots(String screenshots) {
        this.screenshots = screenshots;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(String update_time) {
        this.update_time = update_time;
    }

    public TaskReleaseEty getRelease_task() {
        return release_task;
    }

    public void setRelease_task(TaskReleaseEty release_task) {
        this.release_task = release_task;
    }

    @Override
    public boolean equals(Object obj) {
        return obj instanceof TaskAcceptedEty && ((TaskAcceptedEty) obj).id == id;
    }
}
